//****************************************************************\\
//	- aty3dm5 Master Shader - Feel free to modify             \\
//	- Be sure to rename everything you use -        	  \\
//****************************************************************\\

textures/aty3dm5/pillar1_7
{
	q3map_lightimage textures/aty3dm5/pillar1_7glow.tga
	q3map_surfacelight 550
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5/pillar1_7.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm5/pillar1_7glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/aty3dm5/pillar2_4
{
	q3map_lightimage textures/aty3dm5/pillar2_4glow.tga
	q3map_surfacelight 550
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5/pillar2_4.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm5/pillar2_4glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/aty3dm5/onyxsupport3
{
	q3map_surfacelight 1250
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5/onyxsupport3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm5/onyxsupport3glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/aty3dm5/onyxsupport3dim
{
	qer_editorimage textures/aty3dm5/onyxsupport3.tga
	q3map_surfacelight 700
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5/onyxsupport3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm5/onyxsupport3glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/aty3dm5/onyxsupport3brite
{
	qer_editorimage textures/aty3dm5/onyxsupport3.tga
	q3map_surfacelight 2500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5/onyxsupport3.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm5/onyxsupport3glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/aty3dm5/onyxsupport5
{
	q3map_surfacelight 1250
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5/onyxsupport5.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm5/onyxsupport3glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/aty3dm5/onyxsupport5dim
{
	qer_editorimage textures/aty3dm5/onyxsupport5.tga
	q3map_surfacelight 700
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5/onyxsupport5.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm5/onyxsupport3glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/aty3dm5/onyxsupport5brite
{
	qer_editorimage textures/aty3dm5/onyxsupport5.tga
	q3map_surfacelight 2500
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5/onyxsupport5.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm5/onyxsupport3glow.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/aty3dm5/jaildrblue
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_lightimage textures/aty3dm5/jaildrpulse1.tga
	q3map_surfacelight 900
	q3map_lightsubdivide 32
	{
		map textures/aty3dm5/jaildr.tga
		rgbGen identity
	}
	{
		map textures/aty3dm5/jaildrglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.3 0 0.3
	}
}

textures/aty3dm5/jaildrwhite
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_surfacelight 450
	q3map_lightsubdivide 32
	{
		map textures/aty3dm5/jaildrwhite.tga
		rgbGen identity
	}
	{
		map textures/aty3dm5/jaildrwhiteglow.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.5 0.3 0 0.3
	}
}

textures/aty3dm5/teleport
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm nonsolid
	q3map_surfacelight 750
	tesssize 64
	{
		map textures/aty3dm5/teleport.tga
		tcMod scroll -0.02 0.5
		tcMod turb 0 .12 0 0.333
	}
	{
		map textures/aty3dm5/teleport.tga
		tcMod scroll 0.01 -0.5
		tcMod turb 0 .12 0 0.333
		blendFunc GL_ONE GL_ONE
	}
}

textures/aty3dm5/tekfloor1
{
	surfaceparm	metalsteps
	{
		map textures/aty3dm5/tekfloor1glow.tga
		tcMod scale 0.5 0.5
		tcMod scroll 1 0
	}
	{
		map textures/aty3dm5/tekfloor1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/aty3dm5/tekfloor2
{
	surfaceparm	metalsteps
	{
		map textures/aty3dm5/tekfloor1glow.tga
		tcMod scale 0.5 0.5
		tcMod scroll 1 0
	}
	{
		map textures/aty3dm5/tekfloor2.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/aty3dm5/tekfloor3
{
	surfaceparm	metalsteps
	{
		map textures/aty3dm5/tekfloor1glow.tga
		tcMod scale 0.5 0.5
		tcMod scroll 1 0
	}
	{
		map textures/aty3dm5/tekfloor3.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/aty3dm5/lunaran1
{
	surfaceparm nodlight
	surfaceparm nomarks
	{
		animmap 0.5 textures/aty3dm5/lunaran2.tga textures/aty3dm5/lunaran1.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/effects/tinfx2.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
	}
}

textures/aty3dm5/bluedepth
{
	surfaceparm nodlight
	q3map_lightimage textures/liquids/kc_fogcloud3.tga
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm fog
	q3map_surfacelight 50
	fogparms ( 0 .5 1 ) 256
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/aty3dm5/bluedeeper	// Fog with a longer fade distance for the dome room
{
	surfaceparm nodlight
	q3map_lightimage textures/liquids/kc_fogcloud3.tga
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm fog
	q3map_surfacelight 50
	fogparms ( 0 .5 1 ) 480
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale -.05 -.05
		tcmod scroll .01 -.01
		rgbgen identity
	}
	{
		map textures/liquids/kc_fogcloud3.tga
		blendfunc gl_dst_color gl_zero
		tcmod scale .05 .05
		tcmod scroll .01 -.01
		rgbgen identity
	}
}

textures/aty3dm5/jumppad1
{
	surfaceparm	metalsteps
	surfaceparm nodamage
	{
		clampmap textures/aty3dm5/jumppadring.tga
		tcMod stretch sawtooth 0.25 4.5 0 1.5
		rgbGen identity
	}
	{
		map textures/aty3dm5/jumppad1.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		clampmap textures/aty3dm5/jumppadswirl.tga
		tcMod rotate 180
		blendFunc GL_ONE GL_ONE
	}
}

textures/aty3dm5/jumppad2
{
	surfaceparm	metalsteps
	surfaceparm nodamage
	{
		clampmap textures/aty3dm5/jumppadring.tga
		tcMod stretch sawtooth 0.25 4.5 0 1.5
		rgbGen identity
	}
	{
		map textures/aty3dm5/jumppad2.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		clampmap textures/aty3dm5/jumppadswirl.tga
		tcMod rotate 180
		blendFunc GL_ONE GL_ONE
	}
}

textures/aty3dm5/onyxtele
{
	q3map_lightimage textures/aty3dm5/teleport2.tga
	q3map_surfacelight 450
	{
		map textures/aty3dm5/teleport2.tga
		tcMod scroll -0.02 -1
	}
	{
		map textures/aty3dm5/onyxtele.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm5/onyxteleglow.tga
		blendFunc GL_ONE GL_ONE
		tcMod scroll 0 -1
	}
}

textures/aty3dm5/pillar2_1shiny
{
	qer_editorimage textures/aty3dm5/pillar2_1.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
	}
	{
		map textures/aty3dm5/pillar2_1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/aty3dm5/pillar3_1shiny
{
	qer_editorimage textures/aty3dm5/pillar3_1.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
	}
	{
		map textures/aty3dm5/pillar3_1.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/aty3dm5/pillar3_2shiny
{
	qer_editorimage textures/aty3dm5/pillar3_2.tga
	{
		map textures/effects/tinfx2.tga
		tcGen environment
	}
	{
		map textures/aty3dm5/pillar3_2.tga
		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/aty3dm5/ceil1_lun_10k
{
	surfaceparm nodlight
	q3map_surfacelight 10000
	q3map_lightimage textures/aty3dm5/ceil1_lunglow.tga
	qer_editorimage textures/aty3dm5/ceil1_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/aty3dm5/ceil1_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/aty3dm5/ceil1_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/aty3dm5/ceil1_lun_5k
{
	surfaceparm nodlight
	q3map_surfacelight 5000
	q3map_lightimage textures/aty3dm5/ceil1_lunglow.tga
	qer_editorimage textures/aty3dm5/ceil1_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/aty3dm5/ceil1_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/aty3dm5/ceil1_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/aty3dm5/ceil1_lun_20k
{
	surfaceparm nodlight
	q3map_surfacelight 20000
	q3map_lightimage textures/aty3dm5/ceil1_lunglow.tga
	qer_editorimage textures/aty3dm5/ceil1_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/aty3dm5/ceil1_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/aty3dm5/ceil1_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/aty3dm5/ceil2_lun_10k
{
	surfaceparm nodlight
	q3map_surfacelight 10000
	q3map_lightimage textures/aty3dm5/ceil2_lunglow.tga
	qer_editorimage textures/aty3dm5/ceil2_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/aty3dm5/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/aty3dm5/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/aty3dm5/ceil2_lun_5k
{
	surfaceparm nodlight
	q3map_surfacelight 5000
	q3map_lightimage textures/aty3dm5/ceil2_lunglow.tga
	qer_editorimage textures/aty3dm5/ceil2_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/aty3dm5/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/aty3dm5/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/aty3dm5/ceil2_lun_20k
{
	surfaceparm nodlight
	q3map_surfacelight 20000
	q3map_lightimage textures/aty3dm5/ceil2_lunglow.tga
	qer_editorimage textures/aty3dm5/ceil2_lun.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/aty3dm5/ceil2_lun.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/aty3dm5/ceil2_lunglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/aty3dm5/onyxlite_2k
{
	surfaceparm nodlight
	q3map_surfacelight 2000
	q3map_lightimage textures/aty3dm5/onyxliteglow.tga
	qer_editorimage textures/aty3dm5/onyxlite.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/aty3dm5/onyxlite.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/aty3dm5/onyxliteglow.tga
		blendFunc GL_ONE GL_ONE		}
}

textures/aty3dm5/onyxliteblu_2k
{
	surfaceparm nodlight
	q3map_surfacelight 2000
	q3map_lightimage textures/aty3dm5/onyxlitebluglow.tga
	qer_editorimage textures/aty3dm5/onyxliteblu.tga
	surfaceparm nomarks
	{	map $lightmap
		rgbGen identity	}
	{	map textures/aty3dm5/onyxliteblu.tga
		blendFunc GL_DST_COLOR GL_ZERO	}
	{	map textures/aty3dm5/onyxlitebluglow.tga
		blendFunc GL_ONE GL_ONE		}
}

//Not used - glass looks better
textures/aty3dm5/grate1
{
//	qer_editorimage textures/aty3dm5/grate1.tga
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm	metalsteps		
	surfaceparm nomarks
	surfaceparm trans
	{
		map textures/aty3dm5/grate1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//Quick'n'Dirty metalsteps floor shaders
textures/aty3dm5/onyx
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/aty3dm5/onyx.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/aty3dm5/floor1
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/aty3dm5/floor1.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/aty3dm5/floor2
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/aty3dm5/floor2.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/aty3dm5/floor3
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/aty3dm5/floor3.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/aty3dm5/floor4
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/aty3dm5/floor4.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/aty3dm5/floorb
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/aty3dm5/floorb.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/aty3dm5/hexfloor1
{	surfaceparm	metalsteps
{	map $lightmap
	rgbGen identity	}
{	map textures/aty3dm5/hexfloor1.tga
	blendFunc GL_DST_COLOR GL_ZERO	}	}

textures/aty3dm5/lglass
{
	qer_editorimage textures/aty3dm5/tinfx_blue.tga
	qer_trans 0.6
	surfaceparm nomarks
	surfaceparm nolightmap
	{
		map textures/aty3dm5/tinfx2_blue.tga
		blendFunc GL_ONE GL_ONE
		tcGen environment
	}
}

//Transparent Tubes
textures/aty3dm5/zap_scroll_blue
{
        q3map_surfacelight	300
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	
	{
		Map textures/aty3dm5/zap_scroll_blue.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		Map textures/aty3dm5/zap_scroll_blue.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
        {
		Map textures/aty3dm5/zap_scroll2_blue.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 2 1
	}	
        {
		Map textures/aty3dm5/zap_scroll2_blue.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1
	}	
}

//Armor Markers
textures/aty3dm5/pillar1_7green
{
        qer_editorimage textures/aty3dm5/pillar1_7green.tga
        q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
	q3map_lightimage textures/aty3dm5/pillar1_7glowgreen.tga
	q3map_surfacelight 550
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5/pillar1_7green.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm5/pillar1_7glowgreen.tga
		blendFunc GL_ONE GL_ONE
	}
}

//Weapon Markers
textures/aty3dm5/pillar1_7red
{
        qer_editorimage textures/aty3dm5/pillar1_7red.tga
        q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
	q3map_lightimage textures/aty3dm5/pillar1_7glowred.tga
	q3map_surfacelight 550
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/aty3dm5/pillar1_7red.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/aty3dm5/pillar1_7glowred.tga
		blendFunc GL_ONE GL_ONE
	}
}

//Decals
textures/aty3dm5/esfl01
{
	qer_editorimage textures/aty3dm5/esfl01.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl01.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl02
{
	qer_editorimage textures/aty3dm5/esfl02.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl02.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl03
{
	qer_editorimage textures/aty3dm5/esfl03.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl03.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl04
{
	qer_editorimage textures/aty3dm5/esfl04.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl04.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl05
{
	qer_editorimage textures/aty3dm5/esfl05.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl05.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl06
{
	qer_editorimage textures/aty3dm5/esfl06.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl06.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl07
{
	qer_editorimage textures/aty3dm5/esfl07.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl07.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl08
{
	qer_editorimage textures/aty3dm5/esfl08.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl08.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl09
{
	qer_editorimage textures/aty3dm5/esfl09.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl09.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl10
{
	qer_editorimage textures/aty3dm5/esfl10.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl10.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl11
{
	qer_editorimage textures/aty3dm5/esfl11.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl11.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl12
{
	qer_editorimage textures/aty3dm5/esfl12.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl12.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl13
{
	qer_editorimage textures/aty3dm5/esfl13.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl13.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl14
{
	qer_editorimage textures/aty3dm5/esfl14.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl14.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esfl15
{
	qer_editorimage textures/aty3dm5/esfl15.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esfl15.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws01
{
	qer_editorimage textures/aty3dm5/esws01.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws01.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws02
{
	qer_editorimage textures/aty3dm5/esws02.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws02.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws03
{
	qer_editorimage textures/aty3dm5/esws03.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws03.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws04
{
	qer_editorimage textures/aty3dm5/esws04.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws04.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws05
{
	qer_editorimage textures/aty3dm5/esws05.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws05.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws06
{
	qer_editorimage textures/aty3dm5/esws06.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws06.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws07
{
	qer_editorimage textures/aty3dm5/esws07.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws07.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws08
{
	qer_editorimage textures/aty3dm5/esws08.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws08.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws09
{
	qer_editorimage textures/aty3dm5/esws09.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws09.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws10
{
	qer_editorimage textures/aty3dm5/esws10.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws10.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws11
{
	qer_editorimage textures/aty3dm5/esws11.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws11.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws12
{
	qer_editorimage textures/aty3dm5/esws12.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws12.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws13
{
	qer_editorimage textures/aty3dm5/esws13.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws13.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws14
{
	qer_editorimage textures/aty3dm5/esws14.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws14.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/esws15
{
	qer_editorimage textures/aty3dm5/esws15.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/esws15.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/aty3dm5/Warning
{
	qer_editorimage textures/aty3dm5/Warning.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/aty3dm5/Warning.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

//Sky
textures/aty3dm5/sb_iceflow
{
	qer_editorimage textures/aty3dm5/sb_iceflow/iceflow_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 50
	surfaceparm sky
	q3map_sun 0.884 0.940 1.000 100 320 50
	skyparms textures/aty3dm5/sb_iceflow/iceflow - -
}
